<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id: machines-xmlrpc.inc.php 46 2007-03-28 13:50:51Z cedric $
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?php
/* $Id: machines-xmlrpc.inc.php 46 2007-03-28 13:50:51Z cedric $ */

function get_machines() {
    return xmlCall("samba.getMachinesLdap", null);
}

function add_machine($machine, $comment) {
    $param= array($machine,$comment);
    return xmlCall("samba.addMachine",$param);
}

function del_machine($machine) {
    return xmlCall("samba.delMachine",$machine);
}

function search_machines($filter = null) {
    if ($filter == "") $filter = null;
    else $filter = "*".$filter . "*";
    return xmlCall("samba.getMachinesLdap",$filter);
}

?>